
Redmine - Defect #7589

Wiki page with backslash in title can not be found

2011-02-09 12:40 - Yuriy Vidineev

Status: Closed Start date: 2011-02-09

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.1.0

Description

A short time ago i update my redmine 1.0.5 to 1.1.1 and found such problem: if i create wiki-page, containing backslash (\) in name,

this page becomes totally unusable - i can modify this page, but can't see my modifications (after i hit "Save" this page simply load as

new blank).

How to reproduce:

1. Create page with backslash (for example, 2011\02\09)

2. Modify it and save

3. Can you now get you modification?

This defect reproduced on demo server:

http://demo.redmine.org/projects/adepttest/wiki

Try to edit page named 2011\02\09 and save it.

Redmine 1.0.5 doesn't have this defect.

I have nginx+passenger on Debian Lenny

P.S.: Sorry for my terrible english

Associated revisions

Revision 5097 - 2011-03-12 14:42 - Jean-Philippe Lang

Fixed: wiki page with backslash in title can not be found (#7589).

History

#1 - 2011-03-12 09:17 - TridenT Job

bug reproduced.

In the wiki page, create a link to a page named with slash

h1. Wiki

[[2011\02\09]]

 => Once clicked to add content to the page, impossible to save the page.

The preview is ok.

#2 - 2011-03-12 14:42 - Jean-Philippe Lang

- Subject changed from backslash in wiki to Wiki page with backslash in title can not be found

- Category set to Wiki

- Status changed from New to Resolved

- Target version set to 1.1.3

- Resolution set to Fixed

Fixed in r5097.

#3 - 2011-04-29 09:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed
